အကြောင်းအရာသို့ ကျော်ရန်

Hunyuan3d V3 · Text to 3D

ပေါင်းစည်းရန်

မော်ဒယ် id hunyuan3d-v3/text-to-3d
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

နမူနာကဲ့သို့ ဖိုင်များ: ၀.၃၇၅ $ ၃၇၅ API ခရက်ဒစ် · ≈ ၄၀.၂၄ ₽ လုပ်ဆောင်မီ သင့်ဖိုင်များကို တိုင်းတာသည် ဤစာမျက်နှာတွင် လုပ်ဆောင်ရန်

API ကီး ရယူရန်

Normal၊ LowPoly သို့မဟုတ် Geometry ထွက်ရလဒ်နှင့် PBR ရွေးချယ်စရာပါသော Hunyuan3D V3 စာသားမှ 3D

Tencent · 3D

သင့်ပထမဆုံးရလဒ် ဤနေရာတွင် ပေါ်လာမည်

အောက်တွင် တောင်းဆိုချက်တစ်ခု တည်ဆောက်ပြီး သင့် API ကီးဖြင့် လုပ်ဆောင်ပါ။ ထွက်ရလဒ်များကို ကျွန်ုပ်တို့၏ သိုလှောင်မှုသို့ ကူးယူပြီး အမြဲတမ်း သို့မဟုတ် ၇ ရက် အခမဲ့ သိမ်းထားသည်။

တောင်းဆိုမှုတစ်ခု တည်ဆောက်ရန်

ထိန်းချုပ်မှုများကို မော်ဒယ် schema မှ အလိုအလျောက်ဖန်တီးသည်။ ၎င်းတို့ကို ပြောင်းလဲသည်နှင့် code နှင့် စျေးနှုန်းတို့လည်း ပြောင်းလဲမည်။

•လိုအပ်သည် 88 / 1024

ဖန်တီးရမည့် 3D အကြောင်းအရာကို သတ်မှတ်ရန် UTF-8 အက္ခရာ 1024 အထိ ခွင့်ပြုသည့် ဖန်တီးမှု ပရောမ့်။

generate_type မူလ Normal

ဖန်တီးမှုမုဒ်: `Normal` သည် texture ပါသော မော်ဒယ်ကို ဖန်တီးသည်၊ `LowPoly` သည် polygon များကို လျှော့ချသည်၊ `Geometry` သည် texture မပါသော အဖြူရောင်မော်ဒယ်ကို ဖန်တီးသည်။

မူလ 500000

လိုချင်သော မျက်နှာပြင်အရေအတွက်ကို 40,000 မှ 1,500,000 အထိ သတ်မှတ်သည်။

အဆင့်မြင့် polygon_type · enable_safety_checker
polygon_type မူလ triangle

`GenerateType` သည် `LowPoly` ဖြစ်သောအခါသာ အသုံးပြုသည့် polygon အမျိုးအစား။

POST /run/hunyuan3d-v3/text-to-3d?wait=20 ကုန်ကျစရိတ် → ၀.၃၇၅ $
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/hunyuan3d-v3/text-to-3d?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

ဤတောင်းဆိုချက်ကို လုပ်ဆောင်ရန်

သင့် key သည် ဤဘရောက်ဇာထဲတွင်သာ ရှိမည်ဖြစ်ပြီး Doitong API သို့သာ ပို့မည်။ Remember ကို အမှန်ခြစ်ထားမှသာ (localStorage) တွင် သိမ်းမည်။ API ကီး ရယူရန်

Hunyuan3d V3 · Text to 3D အကြောင်း

ပုံမလိုဘဲ စာလုံး 1024 အထိရှိသော `prompt` မှ 3D မော်ဒယ်ကို ဖန်တီးသည်။ `generate_type` သည် မျက်နှာပြင်အသားပေးပါသော Normal မော်ဒယ်၊ LowPoly လျှော့ချထားသော မော်ဒယ် သို့မဟုတ် အဖြူရောင် Geometry မော်ဒယ်ကို ရွေးချယ်သည်။ `polygon_type` သည် LowPoly အတွက် triangle သို့မဟုတ် quadrilateral ကို သတ်မှတ်သည်။ `enable_pbr` သည် PBR material များကို ထည့်ပြီး `face_count` သည် 40000 မှ 1500000 အထိ ဖြစ်သည်။

ပါရာမီတာများ

အမည်အမျိုးအစား မူလတန်ဖိုးခွင့်ပြုထားသည် ဖော်ပြချက်
promptလိုအပ်သည်
အမျိုးအစားstring
စာလုံး ၁,၀၂၄ လုံးထက် မပိုပါ
ဖန်တီးရမည့် 3D အကြောင်းအရာကို သတ်မှတ်ရန် UTF-8 အက္ခရာ 1024 အထိ ခွင့်ပြုသည့် ဖန်တီးမှု ပရောမ့်။
enable_safety_checkerရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးtrue
caller က ခွင့်ပြုချက်ရှိပါက false သတ်မှတ်ခြင်းဖြင့် စစ်ဆေးမှုကို လျှော့ချနိုင်သည်။
enable_pbrရွေးချယ်နိုင်သည်
အမျိုးအစားboolean
မူလတန်ဖိုးfalse
PBR material များ ဖန်တီးရန် ဖွင့်/ပိတ်ခလုတ်။
face_countရွေးချယ်နိုင်သည်
အမျိုးအစားinteger
မူလတန်ဖိုး500000
၄၀,၀၀၀ – ၁,၅၀၀,၀၀၀
လိုချင်သော မျက်နှာပြင်အရေအတွက်ကို 40,000 မှ 1,500,000 အထိ သတ်မှတ်သည်။
generate_typeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးNormal
NormalLowPolyGeometry
ဖန်တီးမှုမုဒ်: `Normal` သည် texture ပါသော မော်ဒယ်ကို ဖန်တီးသည်၊ `LowPoly` သည် polygon များကို လျှော့ချသည်၊ `Geometry` သည် texture မပါသော အဖြူရောင်မော်ဒယ်ကို ဖန်တီးသည်။
polygon_typeရွေးချယ်နိုင်သည်
အမျိုးအစားenum
မူလတန်ဖိုးtriangle
trianglequadrilateral
`GenerateType` သည် `LowPoly` ဖြစ်သောအခါသာ အသုံးပြုသည့် polygon အမျိုးအစား။
လိုအပ်သည်

ထွက်ရလဒ်

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "hunyuan3d-v3/text-to-3d",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 375,
    "usd": "0.375",
    "charged": 375,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "model_glb": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "thumbnail": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200
    },
    "model_urls": {
      "glb": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "fbx": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "obj": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      },
      "usdz": {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200
      }
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
သင့်ဖိုင်များ၊ သင့်ရွေးချယ်မှုoutputs[].url တိုင်းသည် ကျွန်ုပ်တို့၏ သိုလှောင်မှုရှိ မိတ္တူဖြစ်သည်- အမြဲတမ်း (GB-month အလိုက် ငွေပေးရသည်) သို့မဟုတ် ၇ ရက် အခမဲ့၊ သင့်အကောင့်ဆက်တင် သို့မဟုတ် ?storage= ဖြင့် သိမ်းထားသည်။
မော်ဒယ်တိုင်းတွင် ပုံစံတူပုံ၊ ဗီဒီယိုနှင့် အသံတို့အတွက် type၊ url၊ content_type၊ width၊ height နှင့် duration။ output သည် မော်ဒယ်ကိုယ်တိုင်၏ ရလဒ် object ဖြစ်သည်။
ထွက်ရလဒ်၏ Fields များ
model_glb
object {url, content_type, file_name, file_size}ဖန်တီးထားသော 3D အရာဝတ္ထု ပါဝင်သည့် GLB ဖိုင်။
thumbnail
object {url, content_type, file_name, file_size} | nullဖန်တီးထားသော မော်ဒယ်၏ အစမ်းကြည့်ရှုမှုကို ပြသသည့် thumbnail။
model_urls
object {glb, fbx, obj, usdz}3D မော်ဒယ်ကို ဖော်မတ်အမျိုးမျိုးဖြင့် ရယူနိုင်သည့် လင့်ခ်များ။
seed
integer | nullဖန်တီးမှုအတွင်း အသုံးပြုမည့် seed တန်ဖိုး။

နောက်ထပ် မော်ဒယ်များ: စာသားမှ 3D

AI အေးဂျင့်များအတွက်- ဤစာမျက်နှာ၏ Markdown ကို ဤနေရာတွင် ရရှိနိုင်သည် https://doitong.com/my/developers/models/hunyuan3d-v3/text-to-3d.md. မော်ဒယ်များနှင့် လမ်းညွှန်များအားလုံး: https://doitong.com/developers/llms.txt